Bio::Tools::Run::Phrap(3)

NAME
Bio::Tools::Run::Phrap - a wrapper for running Phrap

SYNOPSIS
  use Bio::Tools::Run::Phrap;
  use Bio::SeqIO;

  my $sio = Bio::SeqIO->new(-file=>$ARGV[0],-format=>'fasta');
  my @seq;
  while(my $seq = $sio->next_seq()){
    push @seq,$seq;
  }
  my $prun =Bio::Tools::Run::Phrap->new(arguments=>'-penalty -3 -minmatch 10');
  my $assembly = $prun->run(\@seq);
  foreach my $contig($assembly->all_contigs){
    my $collection = $contig->get_features_collection;
    foreach my $sf($collection->get_all_features){
      print $sf->primary_id."\t".$sf->start."\t".$sf->end."\n";
    }
  }

DESCRIPTION
  Wrapper module for Phrap program
  Phrap available at: http://www.phrap.org/

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

 bioperl-l@bioperl.org               - General discussion
 http://bio.perl.org/MailList.html   - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

 http://bugzilla.bioperl.org/

AUTHOR - Shawn Hoon
  Email shawnh-at-stanford.edu

APPENDIX
 The rest of the documentation details each of the object
 methods. Internal methods are usually preceded with a _

  program_name
 Title   : program_name
 Usage   : $factory>program_name()
 Function: holds the program name
 Returns:  string
 Args    : None

  program_dir
 Title   : program_dir
 Usage   : $factory->program_dir(@params)
 Function: returns the program directory, obtiained from ENV variable.
 Returns:  string
 Args    :

  new
 Title   : new
 Usage   : my $factory= Bio::Tools::Run::Phrap->new();
 Function: creates a new Phrap factory
 Returns:  Bio::Tools::Run::Phrap
 Args    :

  run
 Title   :   run()
 Usage   :   my $feats = $factory->run($seq)
 Function:   Runs Phrap
 Returns :   An array of Bio::SeqFeature::Generic objects
 Args    :   A Bio::PrimarySeqI

  _input
 Title   :   _input
 Usage   :   $factory->_input($seqFile)
 Function:   get/set for input file
 Returns :
 Args    :

  _run
 Title   :   _run
 Usage   :   $factory->_run()
 Function:   Makes a system call and runs Phrap
 Returns :   An array of Bio::SeqFeature::Generic objects
 Args    :

  _writeSeqFile
 Title   :   _writeSeqFile
 Usage   :   $factory->_writeSeqFile($seq)
 Function:   Creates a file from the given seq object
 Returns :   A string(filename)
 Args    :   Bio::PrimarySeqI

  _setparams
 Title   :  _setparams
 Usage   :  Internal function, not to be called directly
 Function:  creates a string of params to be used in the command string
 Example :
 Returns :  string of params
 Args    :